Skip to content

# Interface: ClusterPageMenuRegistration

## Hierarchy

- PageMenuRegistration

↳ ClusterPageMenuRegistration

## Index

### Properties

- components
- id
- parentId
- target
- title

## Properties

### components

• components: PageMenuComponents

Inherited from PageMenuRegistration.components

Defined in src/extensions/registries/page-menu-registry.ts:12

### `Optional` id

• id? : string

Defined in src/extensions/registries/page-menu-registry.ts:16

### `Optional` parentId

• parentId? : string

Defined in src/extensions/registries/page-menu-registry.ts:17

### `Optional` target

• target? : PageTarget

Inherited from PageMenuRegistration.target

Defined in src/extensions/registries/page-menu-registry.ts:10

### title

• title: React.ReactNode

Inherited from PageMenuRegistration.title

Defined in src/extensions/registries/page-menu-registry.ts:11